org.jetlang.web

## Class PathLocator<T>

- java.lang.Object
- - org.jetlang.web.PathLocator<T>

All Implemented Interfaces:
  HandlerLocator<T>

    public class PathLocator<T>
    extends Object
    implements HandlerLocator<T>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jetlang.web.HandlerLocator

`HandlerLocator.List<T>, HandlerLocator.ResourcesDirectory<T>`

### Constructor Summary

Constructors
Constructor and Description
`PathLocator(PathMatcher<T> matcher, Handler<T> handler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Handler<T>` `find(HttpRequest headers, T sessionState)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathLocator

    public PathLocator(PathMatcher<T> matcher,
                       Handler<T> handler)

### Method Detail

#### find

    public Handler<T> find(HttpRequest headers,
                           T sessionState)

Specified by:
  `find` in interface `HandlerLocator<T>`